#[derive(Debug, thiserror::Error)]
pub enum Error {
	#[error("HTTP error")]
	Reqwest(#[from] reqwest::Error),
	#[error("HTTP header decoding error")]
	ReqwestHeaderDecode(#[from] reqwest::header::ToStrError),
	#[error("invalid HTTP header value")]
	ReqwestHeaderValue(#[from] reqwest::header::InvalidHeaderValue),
	#[error("Unknown HTTP failure")]
	HTTPUnknown,
	#[error("JSON error")]
	JSON(#[from] serde_json::Error),
	#[error("got more than one 'torrents' entry in a get files response")]
	WeirdGetFilesResponse,
}

